Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.host
Class IncludeHost

    java.lang.Object
      org.kohsuke.rngom.parse.host.Base
          org.kohsuke.rngom.parse.host.GrammarSectionHost
              org.kohsuke.rngom.parse.host.IncludeHost

All Implemented Interfaces:
  GrammarSection, Include

    public class IncludeHost

extends GrammarSectionHost
implements Include

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Nested Class Summary

Nested classes/interfaces inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`GrammarSection.Combine`

Field Summary

Fields inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`COMBINE_CHOICE, COMBINE_INTERLEAVE, START`

Method Summary
`void` | `endInclude(Parseable current, java.lang.String uri, java.lang.String ns, Location _loc, Annotations _anno)`

Methods inherited from class org.kohsuke.rngom.parse.host.GrammarSectionHost
`define, makeDiv, makeInclude, topLevelAnnotation, topLevelComment`

Methods inherited from class org.kohsuke.rngom.parse.host.Base
`cast, cast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kohsuke.rngom.ast.builder.GrammarSection
`define, makeDiv, makeInclude, topLevelAnnotation, topLevelComment`

Method Detail

### endInclude

    public void endInclude(Parseable current,
                           java.lang.String uri,
                           java.lang.String ns,
                           Location _loc,
                           Annotations _anno)
                    throws BuildException,
                           IllegalSchemaException

  Specified by:
    `endInclude` in interface `Include`
  Parameters:
    `current` - The current document we are parsing. This is the document that contains an include.
  Throws:
    `BuildException`
    `IllegalSchemaException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD